/******************************* MAIN HEADER **********************************
           Title:            Drawing It Together
           Files:            <list of source files>
           
           Author:           Data / data@cs.wisc.edu
           Collaborators:    N/A
           
           Due Date:         Monday, 9/25, 5:00 PM
           Completion Date:  9/23/2000
           
           Course:           CS 302, Fall 2000, Section 14 
           TA:               Jeff Shergali
           
           Compiler:         CodeWarrior IDE 4.0 (JDK 1.2)
           Platform:         Windows NT 4.0
 **************************** 80 columns wide *********************************/

import javabook.*;	// package containing simple graphical user interface
import grid.*;		// package containing specialized drawing environment

public class DrawingProgram {

    public static void main(String[] args) {
        DrawingGrid grid;
        grid = new DrawingGrid();
        grid.show();
        
        InputBox inputBox;
        inputBox= new InputBox(grid);
        //get the starting point the sqaure
		//x_i,y_i are the x,y coordinate where the marker first locate    
        int x_i,y_i;
        x_i = inputBox.getInteger("Please enter the x-coordinate for the " + 
        	  "rectangle:");
        y_i = inputBox.getInteger("Please enter the y-coordinate for the " + 
        	  "rectangle:");
        grid.checkLocation(x_i,y_i);
        Location loc1;
        loc1 = new Location(x_i,y_i);
        
        //creat marker
                
        Marker marker1;
        marker1 = new Marker(loc1, grid.CIRCLE, grid.GREEN);
        grid.addMarker(marker1);
		marker1.rotate(marker1.EAST);
				
		//get the height and the width of the rectangle
		//h,w are the absolute value of the height and width enter by the user
		int w,h;
		w = Math.abs(inputBox.getInteger("Please enter the width for the design:"));
		h = Math.abs(inputBox.getInteger("Please enter the height for the design:"));
		
		//check if the rectangle go off grid
		grid.checkLocation((x_i+w),(y_i+h));
		
		//draw the square
		marker1.move(w);
		marker1.rotate(-2);
		marker1.move(h);
		marker1.rotate(-2);
		marker1.move(w);
		marker1.rotate(-2);
		marker1.move(h);
				
		//calculate the diagonal
		//dia is the length of the diagonal of the retangle
		double dia;
		dia = Math.sqrt( Math.pow(h,2) + Math.pow(w,2) );
		
		//output the diagonal
		OutputBox outputBox;
		outputBox = new OutputBox(grid);
		outputBox.print("The length of the diagonal is " + dia + " units.");
		outputBox.printLine(dia);
		outputBox.print(dia);
		outputBox.show(); 
	}
}
